Error installing RetroPie on Raspbmc

Home Forums RetroPie Project Everything else related to the RetroPie Project Error installing RetroPie on Raspbmc

RetroPie has a new website and forum. Please visit https://retropie.org.uk/ for the new site. The new forum is located at https://retropie.org.uk/forum/. This forum is left here as a read-only archive.

This topic contains 1 reply, has 1 voice, and was last updated by Profile photo of fenwick fenwick 2 years, 6 months ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #71784

    ColdFushion

    Hi all,

    I’m trying to install RetroPie from the git repo on my Raspbmc installation, but when I run the retropie_setup.sh I encounter the following error:

    Did not find needed package(s): libxkbcommon-dev. I am trying to install them now.
    Hit http://archive.raspbian.org wheezy Release.gpg
    Hit http://archive.raspbian.org wheezy Release
    Hit http://archive.raspbian.org wheezy/main armhf Packages
    Hit http://archive.raspbian.org wheezy/contrib armhf Packages
    Hit http://archive.raspbian.org wheezy/non-free armhf Packages
    Ign http://archive.raspbian.org wheezy/contrib Translation-en
    Ign http://archive.raspbian.org wheezy/main Translation-en
    Ign http://archive.raspbian.org wheezy/non-free Translation-en
    Reading package lists...
    Reading package lists...
    Building dependency tree...
    Reading state information...
    E: Unable to locate package libxkbcommon-dev
    Could not install package(s): libxkbcommon-dev. Aborting now.

    It happens when it is installing dependencies for RetroArch.

    I try to do the installation with the binary version.

    I also tried to download the deb package for this lib, but I need to update libc6 tot >= 2.17 but that is not possible, because it’s aborted and not in the apt-get repo.

    Could any one help me?

    Regards,

    CF

    #81620
    Profile photo of fenwick
    fenwick
    Participant

    This happened to me too. It looks like it’s not in the default apt repositories.

    add the following line to /etc/apt/sources.list file:

    deb http://raspberrypi.collabora.com wheezy rpi

    then just apt-get install libxkbcommon-dev

    I found the solution here:

    http://wayland.freedesktop.org/raspberrypi.html

    On December 4th, 2013, libxkbcommon-dev is not yet found in Raspbian itself, but it is available from the raspberrypi.collabora.com repository, see above.

    Hope this helps!

    • This reply was modified 2 years, 6 months ago by Profile photo of fenwick fenwick.
    • This reply was modified 2 years, 6 months ago by Profile photo of fenwick fenwick.
Viewing 2 posts - 1 through 2 (of 2 total)

Forums are currently read only - please visit the new RetroPie forums at https://retropie.org.uk/forums/

Skip to toolbar